Skip to main content
PUT
Create or update a named custom integration

Authorizations

Galileo-API-Key
string
header
required

Path Parameters

name
string
required

Slug identifying this named custom integration

Body

application/json

Schema for creating custom integrations.

Inherits api_key field validation from CustomConfig:

  • api_key_header and api_key_value are required when authentication_type is api_key

Token field is only used for oauth2 authentication (contains OAuth2 client credentials). For api_key auth, the api_key_value field is used instead.

endpoint
string
required

Endpoint URL for the custom integration.

multi_modal_config
MultiModalModelIntegrationConfig · object | null

Configuration for multi-modal (file upload) capabilities.

authentication_type
enum<string>
default:oauth2

Authentication types for custom integrations.

Values:

  • none: No authentication required
  • oauth2: OAuth2 token-based authentication
  • api_key: API key header-based authentication
Available options:
api_key,
none,
oauth2
models
string[] | null

List of model names for the custom integration. Deprecated: use model_properties instead.

model_properties
ModelProperties · object[] | null

List of model properties with name and alias for the custom integration.

is_legacy_format
boolean
default:false

Internal: whether this config was created from the legacy 'models' field.

default_model
string | null

Default model to use. If not provided, defaults to the first model.

authentication_scope
string | null

Optional scope for OAuth2 authentication.

oauth2_token_url
string | null

OAuth2 token URL for custom OAuth2 authentication. If not provided, defaults to the endpoint.

api_key_header
string | null

HTTP header name to use for API key authentication (e.g., 'X-API-Key', 'Authorization').

api_key_value
string | null

API key value to send in the specified header for authentication.

custom_llm_config
CustomLLMConfig · object | null

Optional configuration for a custom LiteLLM handler class. When specified, the handler's acompletion() method is used instead of the default litellm.acompletion().

custom_header_mapping
Custom Header Mapping · object | null

Custom header mapping from internal fields (job_id, user_id, project_id, run_id) to custom header names to be included in LLM requests.

headers
Headers · object | null

Optional custom HTTP headers to include in requests to the integration endpoint. Stored encrypted at rest.

token
string | null

Response

Successful Response

id
string<uuid4>
required
name
string
required
provider
enum<string>
required
Available options:
anthropic,
aws_bedrock,
aws_sagemaker,
azure,
custom,
databricks,
mistral,
nvidia,
openai,
vegas_gateway,
vertex_ai,
writer
created_at
string<date-time>
required
updated_at
string<date-time>
required
created_by
string<uuid4>
required
permissions
Permission · object[]
is_selected
boolean
default:false
is_disabled
boolean
default:false